For the complete documentation index, see llms.txt. This page is also available as Markdown.

searchCard

Perform various search operations on card records.

Symitar eDocs References: Coming soon.

Operations

searchCardPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCardPagedSelectFields
POST /nexum/627/persistent/account/searchCardPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 401

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "Query": "LOCATOR=10",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardFields": false,
    "CardFields": {
      "Locator": true,
      "Number": true,
      "Type": true,
      "Status": true,
      "IssueCode": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Card": [
    {
      "Locator": 10,
      "Number": "2163491574641470",
      "Type": 10,
      "Status": 1,
      "IssueCode": 0
    }
  ],
  "Token": null,
  "MessageId": "searchCardPagedSelectFields"
}

searchCardAccessPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCardAccessPagedSelectFields
POST /nexum/627/persistent/account/searchCardAccessPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 504

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "CardLocator": 10,
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardAccessFields": false,
    "CardAccessFields": {
      "Locator": true,
      "AccessType": true,
      "Id": true,
      "IdType": true,
      "EnableInquiry": true,
      "EnableDeposit": true,
      "EnableWithdrawal": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardAccess": [],
  "Token": null,
  "MessageId": "searchCardAccessPagedSelectFields"
}

searchCardNamePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCardNamePagedSelectFields
POST /nexum/627/persistent/account/searchCardNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 437

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "CardLocator": 10,
  "Query": "LOCATOR=23",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardNameFields": false,
    "CardNameFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardName": [
    {
      "Locator": 23,
      "Type": 2,
      "First": "JOSHUA",
      "Middle": "J",
      "Last": "KINNEY",
      "BirthDate": "1952-12-20"
    }
  ],
  "Token": null,
  "MessageId": "searchCardNamePagedSelectFields"
}

searchCardNotePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCardNotePagedSelectFields
POST /nexum/627/persistent/account/searchCardNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 484

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013324",
  "CardLocator": 10,
  "Query": "LOCATOR=83",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardNoteFields": false,
    "CardNoteFields": {
      "Locator": true,
      "Id": true,
      "IdType": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true,
      "VoidFlag": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardNote": [
    {
      "Locator": 83,
      "Id": null,
      "IdType": 3,
      "Code": 45,
      "EnterDate": "2025-10-10",
      "ExpirationDate": null,
      "RecordChangeDate": "2010-05-08",
      "VoidFlag": 0
    }
  ],
  "Token": null,
  "MessageId": "searchCardNotePagedSelectFields"
}

Last updated

Was this helpful?